Subject: [ietf-nomcom] Confidentiality and information from former NomCom members

From: Bernie Hoeneisen <[email-masked]>
Date: Wed, 3 Jun 2009 09:00:19 +0200 (CEST)

Hi,

Reviewing the latest "openlist" reminded me of some earlier question / 
suggestion I made earlier to the ietf-nomcom list. So far I have not got any 
feedback. Probably as it was buried under some much hotter topic (in the same 
email)...

Here is comes again:

* 3rd paragraph and former NomCom members:

      "It is consistent with this rule for current nominating committee
       members who have served on prior nominating committees to advise
       the current committee on deliberations and results of the prior
       committee, as necessary and appropriate."

   As I understand this, current NomCom members who have served on prior
   NomComs are allowed to share information they have as a result of their
   membership in prior NomComs.

   - Could anybody confirm, that my understanding about this is correct?

* Suggestion for change:

   I suggest to explicitely allow any member of a former NomCom to share
   with the current NomCom any information relevant to the current NomCom.
   Such kind of information is most useful to current NomComs.

   - Any opinions on changing this as suggested?

   - How about changing this along with "openlist"?
     (Note that this part of RFC 3777 is already cited in "openlist".)

cheers,
  Bernie

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 03 Jun 2009 09:01:10 -0400

I don't read things the same way you do.
I don't think someone who was on nomcom A and is now on nomcom B can 
tell B "nomcom A, in discussing person X, found major problem Y."  Nor, 
in fact, can they relay any other aspects of the discussion within 
nomcom A to nomcom B.
They can say "Personally, I have problem Y with person X."
There are of course multiple gray areas in between.

Assuming that my reading is accurate, I would also prefer not to change 
that.  (To take an extreme example, I have a fairly good archive of last 
year's nomcom.  As far as I am concerned I can not, and should not be 
allowed to, forward that archive to Mary, or to her committee, even 
though I am an advisor to that committee and presumably allowed to 
provide personally known factual information to that committee.)

Yours,
Joel

Bernie Hoeneisen wrote:
> suggestion I made earlier to the ietf-nomcom list. So far I have not got 
> any feedback. Probably as it was buried under some much hotter topic (in 
> the same email)...
> 
> 
> Here is comes again:
> 
> _______________________________________________
> ietf-nomcom mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-nomcom
>

---

From: Ralph Droms <[email-masked]>
Date: Wed, 3 Jun 2009 09:08:12 -0400

Joel - I agree with your interpretation of the confidentiality  
requirements.  When I was in the situation you are in now, as past  
NomCom chair I do not think I had the right to make any of the  
information from the NomCom I chaired to the subsequent NomCom to  
which I was an advisor.  And I would not want to change that rule.

- Ralph

On Jun 3, 2009, at 9:01 AM 6/3/09, Joel M. Halpern wrote:

> tell B "nomcom A, in discussing person X, found major problem Y."   
> Nor, in fact, can they relay any other aspects of the discussion  
> within nomcom A to nomcom B.
> Assuming that my reading is accurate, I would also prefer not to  
> change that.  (To take an extreme example, I have a fairly good  
> archive of last year's nomcom.  As far as I am concerned I can not,  
> and should not be allowed to, forward that archive to Mary, or to  
> her committee, even though I am an advisor to that committee and  
> presumably allowed to provide personally known factual information  
> to that committee.)
>
> Yours,
> Joel
>
> Bernie Hoeneisen wrote:
>> Hi,
>> Reviewing the latest "openlist" reminded me of some earlier  
>> question / suggestion I made earlier to the ietf-nomcom list. So  
>> far I have not got any feedback. Probably as it was buried under  
>> some much hotter topic (in the same email)...
>> Here is comes again:

---

From: John C Klensin <[email-masked]>
Date: Wed, 03 Jun 2009 09:35:58 -0400

--On Wednesday, June 03, 2009 09:01 -0400 "Joel M. Halpern"
<[email-masked]> wrote:

> I don't think someone who was on nomcom A and is now on nomcom
> B can tell B "nomcom A, in discussing person X, found major
> problem Y."  Nor, in fact, can they relay any other aspects of
> the discussion within nomcom A to nomcom B.
> Assuming that my reading is accurate, I would also prefer not
> to change that.  (To take an extreme example, I have a fairly
> good archive of last year's nomcom.  As far as I am concerned
> I can not, and should not be allowed to, forward that archive
> to Mary, or to her committee, even though I am an advisor to
> that committee and presumably allowed to provide personally
> known factual information to that committee.)

+1.

I think that previous nomcom chairs and participants can share
information about the general criteria and processes that
previous Nomcoms used to inform their decisions --as long as
that is done factually and without implication that the
new/current Nomcom is obligated to do things the same way-- but
not any information about candidates or candidate evaluations.

    john

---

From: Bernie Hoeneisen <[email-masked]>
Date: Wed, 3 Jun 2009 16:36:49 +0200 (CEST)

Hi Ralph, Joel et al.

I looks like there is no common understanding of the following part of RFC 
3777:

Could anybody explain this further (what does this forbid/allow?), 
and in particular for what reason it was put there when RFC 3777 was 
drafted?

cheers,
  Bernie

On Wed, 3 Jun 2009, Ralph Droms wrote:

> Joel - I agree with your interpretation of the confidentiality requirements. 
> When I was in the situation you are in now, as past NomCom chair I do not 
> think I had the right to make any of the information from the NomCom I 
> chaired to the subsequent NomCom to which I was an advisor.  And I would not 
> want to change that rule.
>
> - Ralph
>
>> I don't think someone who was on nomcom A and is now on nomcom B can tell B 
>> "nomcom A, in discussing person X, found major problem Y."  Nor, in fact, 
>> can they relay any other aspects of the discussion within nomcom A to 
>> nomcom B.
>> allowed to, forward that archive to Mary, or to her committee, even though 
>> I am an advisor to that committee and presumably allowed to provide 
>> personally known factual information to that committee.)
>> 
>> Yours,
>> Joel
>> 
>> Bernie Hoeneisen wrote:
>>> Hi,

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 03 Jun 2009 12:03:06 -0400

I don't know what to make of that text.  While I can imagine exceptions, 
as a general rule that is so obviously a bad idea that it never occurred 
to me it was within the rules.

Joel

Bernie Hoeneisen wrote:
> Hi Ralph, Joel et al.
> 
> I looks like there is no common understanding of the following part of 
> RFC 3777:
> 
> Could anybody explain this further (what does this forbid/allow?), and 
> in particular for what reason it was put there when RFC 3777 was drafted?
> 
> cheers,
>  Bernie
> 
> 
>>> and should not be allowed to, forward that archive to Mary, or to her 
>>> committee, even though I am an advisor to that committee and 
>>> presumably allowed to provide personally known factual information to 
>>> that committee.)
>>>
>>> Yours,
>>> Joel
>>>
>>> Bernie Hoeneisen wrote:
>>>> Hi,
>>>> Reviewing the latest "openlist" reminded me of some earlier question 
>>>> / suggestion I made earlier to the ietf-nomcom list. So far I have 
>>>> not got any feedback. Probably as it was buried under some much 
>>>> hotter topic (in the same email)...
>>>> Here is comes again:

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 3 Jun 2009 12:23:21 -0500

OK, I'd really like for someone to tell us what this text was intended to 
allow, because I'm seeing a past NomCom chair saying that it's obviously 
broken, but the text is in the process BCP...

:-(

Thanks,

Spencer

>I don't know what to make of that text.  While I can imagine exceptions, as 
>a general rule that is so obviously a bad idea that it never occurred to me 
>it was within the rules.
>
> Joel
>
> Bernie Hoeneisen wrote:
>> Hi Ralph, Joel et al.
>>
>> Could anybody explain this further (what does this forbid/allow?), and in 
>> particular for what reason it was put there when RFC 3777 was drafted?
>>
>> cheers,
>>  Bernie
>>
>>
>>> requirements. When I was in the situation you are in now, as past NomCom 
>>> chair I do not think I had the right to make any of the information from 
>>> the NomCom I chaired to the subsequent NomCom to which I was an advisor. 
>>> And I would not want to change that rule.
>>>
>>> - Ralph
>>>
>>>> that.  (To take an extreme example, I have a fairly good archive of 
>>>> last year's nomcom.  As far as I am concerned I can not, and should not 
>>>> be allowed to, forward that archive to Mary, or to her committee, even 
>>>>> suggestion I made earlier to the ietf-nomcom list. So far I have not 
>>>>> got any feedback. Probably as it was buried under some much hotter 
>>>>> topic (in the same email)...
>>>>> Here is comes again:

---

From: John C Klensin <[email-masked]>
Date: Wed, 03 Jun 2009 13:47:50 -0400

--On Wednesday, June 03, 2009 12:23 -0500 Spencer Dawkins
<[email-masked]> wrote:

> OK, I'd really like for someone to tell us what this text was
> intended to allow, because I'm seeing a past NomCom chair
> saying that it's obviously broken, but the text is in the
> process BCP...
> 
> :-(

I'd be happy to hear from  the author of that text (whomever
that might be), but I believe it is more or less consistent with
my earlier note:

Nomcom N should reasonably have access to information about
general criteria, decision processes, and procedures used from
Nomcom N-1 (and possibly N-2 and further back).  That
information may be used to inform Nomcom choices about processes
and criteria, but Nomcom N may also move in different directions
--at their discretion and within whatever constrains exist in
3777 and its offspring.

Neither Nomcom N nor anyone else get access to information about
actual candidates, candidate statements, input about candidates,
or Nomcom discussion of candidates.

In other words, "deliberations and results" is about principles
and process, not candidates.  Otherwise, this text would be,
IMO, hopelessly inconsistent with the rest of 3777.

   john

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 3 Jun 2009 15:26:46 -0500

Hi, John,

OK, I went back and looked at 3777, and I'm not feeling much better about 
this text.

> IMO, hopelessly inconsistent with the rest of 3777.

Let me begin by saying I agree with what YOUR note said ("general criteria, 
decision processes, and procedures").

I may be confused, but I could be convinced that 3777 uses the word 
"deliberations" to describe precisely what you're hoping would NOT be 
included. I'm looking at text like

   10. The Chair announces the open positions to be reviewed, the
       desired expertise provided by the IETF Executive Director, and
       the call for nominees.

       The call for nominees must include a request for comments
       regarding the past performance of incumbents, which will be
       considered during the *deliberations* of the nominating committee.

and

   14. The nominating committee advises the confirming bodies of their
       candidates, specifying a single candidate for each open position
       and testifying as to how each candidate meets the qualifications
       of an open position.

       For each candidate, the testimony must include a brief statement
       of the qualifications for the position that is being filled,
       which may be exactly the expertise that was requested.  If the
       qualifications differ from the expertise originally requested a
       brief statement explaining the difference must be included.

       The testimony may include either or both of a brief resume of the
       candidate and a brief summary of the *deliberations* of the
       nominating committee.

So, as a non-3777 wonk, I'm thinking that the text that Bernie was 
struggling with, could be improved. I don't think we need to wait for a fix 
to advance openlist, but I hope this does get fixed at some point.

Thanks,

Spencer

---

From: John C Klensin <[email-masked]>
Date: Wed, 03 Jun 2009 19:53:44 -0400

--On Wednesday, June 03, 2009 15:26 -0500 Spencer Dawkins
<[email-masked]> wrote:

> Hi, John,
> 
> OK, I went back and looked at 3777, and I'm not feeling much
> better about this text.
>...

I trust it is obvious by now that, if we managed to have the
same quality of clear and unambiguous  writing, and coverage of
the necessary cases, in our protocol documents that we do in our
procedural one, either the Internet would have collapsed long
ago or the IETF would be irrelevant to it.  Of course, the
number of do-overs that have been required in the IPR space is
the poster child for this, but the Nomcom and related processes
are really not much better.   To make things worse, we are often
protected by the Robustness Principle where protocol documents
are concerned, but we don't have analogies and a consensus
understanding about how to apply them in these cases.

>...
> Let me begin by saying I agree with what YOUR note said
> ("general criteria, decision processes, and procedures").
> 
> I may be confused, but I could be convinced that 3777 uses the
> word "deliberations" to describe precisely what you're hoping
> would NOT be included. I'm looking at text like
> 
>        desired expertise provided by the IETF Executive
> Director, and the call for nominees.

There are documents on this earth that, because of exception
care or divine guidance, have the property that every use of a
word has exactly the same meaning and that every change in
vocabulary means something.   For better or worse, IETF
procedural documents are not among them.  See above.

>...
> So, as a non-3777 wonk, I'm thinking that the text that Bernie
> was struggling with, could be improved. I don't think we need
> to wait for a fix to advance openlist, but I hope this does
> get fixed at some point.

Certainly it would be a good idea to do that.  It would be, IMO,
an even better idea to rewrite all of our procedural documents
from scratch, using an absolutely consistent style and examining
every sentence to be sure that it doesn't leave odd edge cases.

I would also like a pony.

    john

---

From: "Jeffrey A. Williams" <[email-masked]>
Date: Wed, 03 Jun 2009 17:46:14 -0700

John and all,

  All good suggestions here John, and as you indicate not likely
to substancially occur.  I would like a a new Volt. >:)

> I would also like a pony.

Regards,

Spokesman for INEGroup LLA. - (Over 284k members/stakeholders strong!)
"Obedience of the law is the greatest freedom" -
   Abraham Lincoln
"YES WE CAN!"  Barack ( Berry ) Obama

"Credit should go with the performance of duty and not with what is
very often the accident of glory" - Theodore Roosevelt

"If the probability be called P; the injury, L; and the burden, B;
liability depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security IDNS.
div. of Information Network Eng.  INEG. INC.
ABA member in good standing member ID 01257402 E-Mail
[email-masked]
My Phone: 214-244-4827

---

From: Leslie Daigle <[email-masked]>
Date: Thu, 04 Jun 2009 16:51:58 -0400

I'm neither the author of the text, nor a previous NomCom chair, but let 
me say that your characterization of the intention resonates with my dim 
recollections from when the document was put together, as well as 
discussions I've heard from NomComs:  starting up a NomCom cold each 
year is a lot of overhead, and not every NomCom will face precisely the 
same challenges.   It's good to be able to draw on generalities of 
previous experience and actions.

Leslie.

-- 

-------------------------------------------------------------------
"Reality:
      Yours to discover."
                                 -- ThinkingCat
Leslie Daigle
[email-masked]
-------------------------------------------------------------------

---

From: Ralph Droms <[email-masked]>
Date: Fri, 5 Jun 2009 06:57:58 -0400

I agree with John's statement: "In other words, 'deliberations and  
results' is about principles and process, not candidates."  I'm pretty  
sure that's the way the text has been interpreted by NomCom chairs.   
At some point, we should update the spec to match the running code.

- Ralph

On Jun 4, 2009, at 4:51 PM 6/4/09, Leslie Daigle wrote:

>
> I'm neither the author of the text, nor a previous NomCom chair, but  
> let me say that your characterization of the intention resonates  
> with my dim recollections from when the document was put together,  
> as well as discussions I've heard from NomComs:  starting up a  
> NomCom cold each year is a lot of overhead, and not every NomCom  
> will face precisely the same challenges.   It's good to be able to  
> draw on generalities of previous experience and actions.
>
> Leslie.
>
> John C Klensin wrote:

---

From: Thomas Narten <[email-masked]>
Date: Fri, 12 Jun 2009 16:57:41 -0400

> to me it was within the rules.

My recollection is that the text got added at some point to deal
specifically with situations where a nomcom was considering a
candidate, and (by chance) a specific member of the nomcom had
specific information about that candidate learned as a result of
having been on a previous nomcom. Before that text was added, the
nomcom member wasn't allowed to provide such information. I.e., they
were effectively gagged from providing presumably important and
relevant information.

That situation had apparently happened.

(Yes, I recognize that the words in the 3777 are much broader than
needed to cover this.)

Thomas